package com.hai.model;

import com.hai.entity.HighUserCard;

/**
 * @Auther: 胡锐
 * @Description:
 * @Date: 2021/4/1 23:37
 */
public class UserModel {

    // 未使用卡卷数量
    private Integer unusedCouponNum;

    // 未使用优惠券数量
    private Integer unusedDiscount;

    // 待支付数量
    private Integer unpaid;

    // 是否设置支付密码
    private Boolean isSetPayPwd;

    // 是否绑定汇联通工会卡
    private Boolean isSetHltCard;

    // 汇联通卡号
    private HighUserCard hltCardNo;

    public Boolean getSetHltCard() {
        return isSetHltCard;
    }

    public void setSetHltCard(Boolean setHltCard) {
        isSetHltCard = setHltCard;
    }

    public HighUserCard getHltCardNo() {
        return hltCardNo;
    }

    public void setHltCardNo(HighUserCard hltCardNo) {
        this.hltCardNo = hltCardNo;
    }

    public Integer getUnusedCouponNum() {
        return unusedCouponNum;
    }

    public void setUnusedCouponNum(Integer unusedCouponNum) {
        this.unusedCouponNum = unusedCouponNum;
    }

    public Integer getUnusedDiscount() {
        return unusedDiscount;
    }

    public void setUnusedDiscount(Integer unusedDiscount) {
        this.unusedDiscount = unusedDiscount;
    }

    public Integer getUnpaid() {
        return unpaid;
    }

    public void setUnpaid(Integer unpaid) {
        this.unpaid = unpaid;
    }

    public Boolean getIsSetPayPwd() {
        return isSetPayPwd;
    }

    public void setIsSetPayPwd(Boolean setPayPwd) {
        isSetPayPwd = setPayPwd;
    }

    public Boolean getSetPayPwd() {
        return isSetPayPwd;
    }

    public void setSetPayPwd(Boolean setPayPwd) {
        isSetPayPwd = setPayPwd;
    }

    public Boolean getIsSetHltCard() {
        return isSetHltCard;
    }

    public void setIsSetHltCard(Boolean setHltCard) {
        isSetHltCard = setHltCard;
    }
}
